Redmine - Patch #42124

Refactor 'Member#role_ids=" method for improved clarity and effficiency in removing obsolete

member roles
2025-01-19 10:20 - Go MAEDA

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Go MAEDA % Done:
Category: Code cleanup/refactoring Estimated time:
Target version: 6.1.0

Description

The attached patch refactors the Member#role_ids= method to simplify the process of identifying and deleting obsolete MemberRole

records, improving both readability and efficiency.

Associated revisions

Revision 23451 - 2025-01-21 02:50 - Go MAEDA

Refactor "Member#role_ids=" method for improved clarity and effficiency in removing obsolete member roles (#42124).

Patch by Go MAEDA (user:maeda).

History

#1 - 2025-01-20 09:47 - Go MAEDA

- Target version changed from Candidate for next major release to 6.1.0

Setting the target version to 6.1.0.

#2 - 2025-01-21 02:50 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch in r23451.

Files
refactor-member-role_ids.patch 1017 Bytes 2025-01-19 Go MAEDA
2025-03-31 1/1



https://www.redmine.org/projects/redmine/repository/svn/revisions/23451
http://www.tcpdf.org

